import React from 'react';
import { useSelector } from 'react-redux';
import { selectResult, selectCandies } from './counterSlice';

const Result = () => {
  const result = useSelector(selectResult);
  const candies = useSelector(selectCandies);

  return (
    <div>
      <h2>Result</h2>
      <p>Total Tastiness: {result.totalTastiness}</p>
      <h3>Candy Quantities</h3>
      <ul>
        {result.quantities.map((quantity, index) =>
          <li key={index}>
            {candies[index]?.name || `Candy ${index + 1}`}: {quantity}
          </li>,
        )}
      </ul>
    </div>
  );
};

export default Result;
